Bug 124195 - USB mouse interferes with on board NIC configuraton
USB mouse interferes with on board NIC configuraton
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 12:59 EDT by Tim Wunder
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wunder 2004-05-24 12:59:38 EDT
Description of problem:
I have Fedora Core 2 installed on an IBM R40 laptop, with an on board
Intel 10/100 NIC identified as an 82801BD PRO/100 VE (MOB) Ethernet
Controller. I also have an IBM Model#MQ18BO USB scroll mouse that I
use with it.

When booting the system with the USB mouse plugged in, eth0 is
rendered useless. It will not get an IP via DHCP and it will not
function after manual configuration of an IP address. If the system is
booted without the USB mouse plugged in, the network card functions as
expected. After booting, when plugging in the USB mouse, both the
mouse and the NIC remain functional.


How reproducible:
100%

Steps to Reproduce:
1. Install FC2 on an IBM R40 with on board NIC, and configure. 
2. Boot system without USB mouse plugged in, all is functional.
3. Re-boot system with USB mouse plugged in 

Actual results:
Neither NIC nor mouse will function after booting.

Expected results:
NIC and mouse remain functional.

Additional info:
Partial lspci output:
02:02.0 Network controller: Intel Corp. PRO/Wireless LAN 2100 3B Mini
PCI Adapter (rev 04)
02:08.0 Ethernet controller: Intel Corp. 82801BD PRO/100 VE (MOB)
Ethernet Controller (rev 81)

# lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 002: ID 04b3:3109 IBM Corp. Optical ScrollPoint Pro Mouse
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
Comment 1 Barry K. Nathan 2004-07-14 06:46:18 EDT
Try installing the latest Fedora Core 2 update kernel
(2.6.6-1.435.2.3, I think) and see if you still have the problem. If
so, you may want to try a test kernel from one of these sources:

+ rawhide (a.k.a. FC-devel)
+ FC 3 test 1
+ http://people.redhat.com/arjanv/2.6/
Comment 2 Tim Wunder 2004-07-20 07:31:44 EDT
Dunno about 2.6.6-1.435.2.3, but the latest kernel available from
atrpms.net, kernel-2.6.7-1.456_4.rhfc2.at.i586.rpm, does not exhibit
the problem. Do you want me to install the FC 3 test 1 kernel?  I have
tried with kernel-2.6.6-1.435.2.1 and the problem still existed then.
Comment 3 Dave Jones 2005-04-16 00:24:29 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.